#pragma once

#include <maps/wikimap/mapspro/services/mrc/eye/lib/common/include/config.h>

namespace maps::mrc::eye {

struct DetectPanelConfig {
    DetectPanelConfig() {
        yt.useGpu = false;
    }

    MrcWorkerConfig mrc;
    YtWorkerConfig yt;
    size_t margin{3};
};

bool isValid(const DetectPanelConfig& config);

} // namespace maps::mrc::eye
